## sim 0.9.4.3

=== CMakeLists.txt ===
# main cmake file for SIM-IM

PROJECT(Sim-IM)

CMAKE_MINIMUM_REQUIRED(VERSION 2.4.4)
SET(CMAKE_COLOR_MAKEFILE ON)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

SET(QT_MT_REQUIRED True)
INCLUDE(FindQt3)
INCLUDE(MacroEnsureOutOfSourceBuild)

MACRO_ENSURE_OUT_OF_SOURCE_BUILD("SIM-IM requires an out of source build. Please create a separate build directory and run 'cmake path_to_sim_im [options]' there.")

INCLUDE(Flex)
INCLUDE(Jisp)
INCLUDE(KDE3Macros)
INCLUDE(MacroBoolTo01)
INCLUDE(Po)
INCLUDE(Qt3Uic)
INCLUDE(SimPlugins)
INCLUDE(DistTarget)
INCLUDE(CheckCXXCompilerFlag)

OPTION(SIM_ENABLE_FPIE "Enable PIE linking")

SIM_FIND_PLUGINS(${Sim-IM_SOURCE_DIR}/plugins)

IF(NOT QT_FOUND)
    MESSAGE(FATAL_ERROR "Could not find Qt3 - cannot compile Sim-IM here")
ENDIF(NOT QT_FOUND)

# needed packages
FIND_PACKAGE(Qt3 REQUIRED)
FIND_PACKAGE(LibXml2 REQUIRED)
FIND_PACKAGE(LibXslt REQUIRED)
FIND_PACKAGE(ZLIB REQUIRED)
IF(WIN32)
    FIND_PACKAGE(LibIconv REQUIRED)
ENDIF(WIN32)

# optional packages
FIND_PACKAGE(ASPELL)
FIND_PACKAGE(OpenSSL)
INCLUDE(FindX11)

IF(NOT WIN32)
    INCLUDE(FindKDE3)
    IF(KDE3_FOUND)
        OPTION(USE_KDE3 "Use kde3 integration" YES)
        IF(USE_KDE3)
            INCLUDE_DIRECTORIES(${KDE3_INCLUDE_DIRS})
            LINK_DIRECTORIES(${KDE3_LIB_DIR})
        ENDIF(USE_KDE3)
    ENDIF(KDE3_FOUND)
ENDIF(NOT WIN32)

# do config checks
INCLUDE(ConfigureChecks.cmake)

MACRO_BOOL_TO_01(OPENSSL_FOUND USE_OPENSSL)
MACRO_BOOL_TO_01(X11_FOUND HAVE_X)
MACRO_BOOL_TO_01(USE_KDE3 USE_KDE)

# development or release builds
OPTION(DEV_BUILD "Build development version" NO)
MACRO_BOOL_TO_01(DEV_BUILD CVS_BUILD)

# global settings for every project
ADD_DEFINITIONS(${QT_DEFINITIONS} -DHAVE_CONFIG_H)
INCLUDE_DIRECTORIES(${QT_INCLUDE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${Sim-IM_SOURCE_DIR}/sim
                    ${Sim-IM_SOURCE_DIR}/plugins/_core)
LINK_DIRECTORIES(${QT_LIB_DIR})

# windows, microsoft compiler
if(MSVC)
  if(CMAKE_COMPILER_2005)
     add_definitions( -D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE )
     set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -wd4661" )
  endif(CMAKE_COMPILER_2005)
else(MSVC)
  add_definitions( -Wno-non-virtual-dtor )
endif(MSVC)

add_definitions( -DUNICODE )

IF(CMAKE_COMPILER_IS_GNUCXX AND SIM_ENABLE_FPIE)
    CHECK_CXX_COMPILER_FLAG(-fPIE HAVE_FPIE_SUPPORT)
    IF(HAVE_FPIE_SUPPORT)
        SET (SIM_CXX_FPIE_FLAGS "-fPIE")
        SET (SIM_PIE_LDFLAGS "-pie")
    ELSE(HAVE_FPIE_SUPPORT)
        MESSAGE(STATUS "Your compiler doesn't support PIE flag")
    ENDIF(HAVE_FPIE_SUPPORT)
ENDIF(CMAKE_COMPILER_IS_GNUCXX AND SIM_ENABLE_FPIE)

OPTION(USE_GCC_VISIBILITY "Enable GCC 4.1 visibility support" FALSE)

# from svn://anonsvn.kde.org/home/kde/trunk/KDE/kdelibs/cmake/modules/FindKDE4Internal.cmake@606547
if (CMAKE_COMPILER_IS_GNUCXX AND USE_GCC_VISIBILITY)
   # visibility support
   check_cxx_compiler_flag(-fvisibility=hidden __KDE_HAVE_GCC_VISIBILITY)

   # get the gcc version
   exec_program(${CMAKE_C_COMPILER} ARGS --version OUTPUT_VARIABLE _gcc_version_info)

   string (REGEX MATCH " [34]\\.[0-9]\\.[0-9]" _gcc_version "${_gcc_version_info}")
   # gcc on mac just reports: "gcc (GCC) 3.3 20030304 ..." without the patch level, handle this here:
   if (NOT _gcc_version)
      string (REGEX REPLACE ".*\\(GCC\\).* ([34]\\.[0-9]) .*" "\\1.0" _gcc_version "${_gcc_version_info}")
   endif (NOT _gcc_version)

   macro_ensure_version("4.1.0" "${_gcc_version}" GCC_IS_NEWER_THAN_4_1)

   if (GCC_IS_NEWER_THAN_4_1)
      exec_program(${CMAKE_C_COMPILER} ARGS -v OUTPUT_VARIABLE _gcc_alloc_info)
      string(REGEX MATCH "(--enable-libstdcxx-allocator=mt)" _GCC_COMPILED_WITH_BAD_ALLOCATOR "${_gcc_alloc_info}")
   else (GCC_IS_NEWER_THAN_4_1)
      set(_GCC_COMPILED_WITH_BAD_ALLOCATOR FALSE)
   endif (GCC_IS_NEWER_THAN_4_1)

   if (__KDE_HAVE_GCC_VISIBILITY AND GCC_IS_NEWER_THAN_4_1 AND NOT _GCC_COMPILED_WITH_BAD_ALLOCATOR)
      set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -DHAVE_GCC_VISIBILITY")
   endif (__KDE_HAVE_GCC_VISIBILITY AND GCC_IS_NEWER_THAN_4_1 AND NOT _GCC_COMPILED_WITH_BAD_ALLOCATOR)

endif (CMAKE_COMPILER_IS_GNUCXX AND USE_GCC_VISIBILITY)

SET(SIM_FLAVOUR "" CACHE STRING "Additional suffix for plugin dir and executable file")
if(WIN32)
    SET(LIBDIR         .)
    SET(BINDIR         .)
    SET(SIM_I18N_DIR   po)
    SET(SIM_ICONS_DIR  icons)
    SET(SIM_PICT_DIR   pict)
    SET(SIM_PLUGIN_DIR plugins)
    SET(SIM_SOUND_DIR  sounds)
    SET(SIM_STYLES_DIR styles)
else(WIN32)
    SET(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
    SET(LIBDIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX} CACHE PATH "Path to sim library")
    SET(BINDIR ${CMAKE_INSTALL_PREFIX}/bin CACHE PATH "Path to sim binary")
    SET(DATADIR ${CMAKE_INSTALL_PREFIX}/share/apps/sim CACHE PATH "Path to sim data")
    SET(SIM_PLUGIN_DIR ${LIBDIR}/sim${SIM_FLAVOUR} CACHE PATH "Path to sim plugins")
    SET(SIM_I18N_DIR   ${CMAKE_INSTALL_PREFIX}/share/locale)
    SET(SIM_ICONS_DIR  ${DATADIR}/icons)
    SET(SIM_PICT_DIR   ${DATADIR}/pict)
    SET(SIM_SOUND_DIR  ${DATADIR}/sounds)
    SET(SIM_STYLES_DIR ${DATADIR}/styles)
    SET(SHARE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX}/share)
    SET(XDG_APPS_DIR   ${SHARE_INSTALL_PREFIX}/applications/kde)
    SET(SERVICES_INSTALL_DIR ${SHARE_INSTALL_PREFIX}/services)
endif(WIN32)	
	
# subdirectories
ADD_SUBDIRECTORY(sim)
SIM_INCLUDE_PLUGINS()

# create config.h
CONFIGURE_FILE(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
add_definitions( -DHAVE_CONFIG_H )

# the (win32) flex generator doesn't care about HAVE_UNISTD_H - it simply has to
# be there. So create a dummy one if none exists
IF(NOT HAVE_UNISTD_H)
    WRITE_FILE( ${CMAKE_CURRENT_BINARY_DIR}/sim/unistd.h
                "/* dummy unistd.h file for flex generated parsers */" )
ENDIF(NOT HAVE_UNISTD_H)

# for uninstall target
CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

# uninstall target
ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== sim/CMakeLists.txt ===
IF(NOT WIN32)
    ADD_SUBDIRECTORY(png)
ENDIF(NOT WIN32)

######################
# target sim library #
######################

SET(sim_LIB_SRCS
        aboutdata.cpp
        ballonmsg.cpp
        buffer.cpp
        builtinlogger.cpp
        cfg.cpp
        cmddef.cpp
        contacts.cpp
        country.cpp
        datepicker.cpp
        editfile.cpp
        exec.cpp
        fetch.cpp
        fontedit.cpp
        icons.cpp
        intedit.cpp
        linklabel.cpp
        listview.cpp
        log.cpp
        message.cpp
        plugins.cpp
        preview.cpp
        qchildwidget.cpp
        qcolorbutton.cpp
        qkeybutton.cpp
        sax.cpp
        simapi.cpp
        socket.cpp
        sockfactory.cpp
        sslclient.cpp
        textshow.cpp
        toolbtn.cpp
        translit.cpp
        unquot.cpp
        xsl.cpp
        qzip.cpp
        unzip.c
    )

SET(sim_LIB_HDRS
        aboutdata.h
        ballonmsg.h
        buffer.h
        builtinlogger.h
        datepicker.h
        editfile.h
        exec.h
        fetch.h
        fontedit.h
        icons.h
        intedit.h
        linklabel.h
        listview.h
        preview.h
        qchildwidget.h
        qcolorbutton.h
        qkeybutton.h
        sax.h
        simapi.h
        socket.h
        sockfactory.h
        textshow.h
        toolbtn.h
        translit.h
        xsl.h
        qzip.h
    	unzip.h
    )

# moc the sources
KDE3_AUTOMOC(${sim_LIB_SRCS})

# don't forget flex
ADD_FLEX_FILES(sim_LIB_SRCS html.ll)

# our target
ADD_LIBRARY(simlib SHARED ${sim_LIB_SRCS} ${sim_LIB_HDRS})

IF(WIN32 AND NOT MINGW)
    SET_TARGET_PROPERTIES(simlib PROPERTIES VERSION 0.0.0 SOVERSION 0)
ELSE(WIN32 AND NOT MINGW)
    SET_TARGET_PROPERTIES(simlib PROPERTIES OUTPUT_NAME sim${SIM_FLAVOUR} VERSION 0.0.0 SOVERSION 0)
ENDIF(WIN32 AND NOT MINGW)

#some needed defines
SET_TARGET_PROPERTIES(simlib PROPERTIES DEFINE_SYMBOL SIMAPI_EXPORTS)
ADD_DEFINITIONS(-DNOUNCRYPT)

# additional include dirs - at least ${CMAKE_CURRENT_BINARY_DIR} is needed
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})

# openssl is optional
if(OPENSSL_FOUND)
  LINK_DIRECTORIES(${OPENSSL_LIBRARY_DIR})
  INCLUDE_DIRECTORIES(${OPENSSL_INCLUDE_DIR})
  TARGET_LINK_LIBRARIES(simlib ${OPENSSL_LIBRARIES} ${OPENSSL_EAY_LIBRARIES})
endif(OPENSSL_FOUND)

IF(USE_KDE3)
  ADD_DEFINITIONS(${KDE3_DEFINITIONS})
  LINK_DIRECTORIES(${KDE3_LIB_DIR})
  TARGET_LINK_LIBRARIES(simlib ${QT_AND_KDECORE_LIBS} kdeui kio)
ENDIF(USE_KDE3)

# we need wsock32 on win32
if (WIN32)
  TARGET_LINK_LIBRARIES(simlib wsock32 wininet)
endif(WIN32)

# libxml, libxslt and iconv
INCLUDE_DIRECTORIES(${LIBXML2_INCLUDE_DIR} ${LIBXSLT_INCLUDE_DIR} ${LIBICONV_INCLUDE_DIR} ${ZLIB_INCLUDE_DIR})
TARGET_LINK_LIBRARIES(simlib ${QT_QT_LIBRARY} ${LIBXML2_LIBRARIES} ${LIBXSLT_LIBRARIES} ${ZLIB_LIBRARIES})

IF(WIN32)
  TARGET_LINK_LIBRARIES(simlib ${LIBICONV_LIBRARIES})
ENDIF(WIN32)

# set correct install path
INSTALL(TARGETS simlib LIBRARY DESTINATION ${LIBDIR} RUNTIME DESTINATION ${LIBDIR})

IF(WIN32)
    SET(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/${CMAKE_BUILD_TYPE})
ENDIF(WIN32)

##################
# sim executable #
##################

# main program
SET(sim_EXE_SRCS
    sim.cpp
)

if(WIN32)
  if(MINGW)
    # resource compilation for mingw
    ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/sim_rc.o
                       COMMAND windres.exe -I${CMAKE_CURRENT_SOURCE_DIR}
                                           -i${CMAKE_CURRENT_SOURCE_DIR}/sim.rc
                                           -o ${CMAKE_CURRENT_BINARY_DIR}/sim_rc.o)
    SET(sim_EXE_SRCS ${sim_EXE_SRCS} ${CMAKE_CURRENT_BINARY_DIR}/sim_rc.o)
  else(MINGW)
    SET(sim_EXE_SRCS ${sim_EXE_SRCS} sim.rc)
  endif(MINGW)
endif(WIN32)

# i18n
COMPILE_PO_FILES(${CMAKE_SOURCE_DIR}/po sim_EXE_SRCS)

# sim executable
ADD_EXECUTABLE(sim WIN32 ${sim_EXE_SRCS})

IF(SIM_ENABLE_FPIE)
    SET_TARGET_PROPERTIES(sim PROPERTIES COMPILE_FLAGS "${SIM_CXX_FPIE_FLAGS}")
    SET_TARGET_PROPERTIES(sim PROPERTIES LINK_FLAGS "${SIM_PIE_LDFLAGS}")
ENDIF(SIM_ENABLE_FPIE)

# only needs simlib
TARGET_LINK_LIBRARIES(sim simlib ${QT_QTMAIN_LIBRARY})

# set correct install path
INSTALL(TARGETS sim RUNTIME DESTINATION ${BINDIR})

SET_TARGET_PROPERTIES(sim PROPERTIES OUTPUT_NAME sim${SIM_FLAVOUR})

IF(WIN32)
    SET(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/${CMAKE_BUILD_TYPE})
ENDIF(WIN32)

IF(NOT WIN32)
    INSTALL(FILES sim.desktop DESTINATION ${XDG_APPS_DIR})
ENDIF(NOT WIN32)

# some needed libs for win32
if(WIN32)
  INSTALL(FILES ${CMAKE_SOURCE_DIR}/install_win32/iconv.dll    DESTINATION ${BINDIR})
  INSTALL(FILES ${CMAKE_SOURCE_DIR}/install_win32/libeay32.dll DESTINATION ${BINDIR})
  INSTALL(FILES ${CMAKE_SOURCE_DIR}/install_win32/libxml2.dll  DESTINATION ${BINDIR})
  INSTALL(FILES ${CMAKE_SOURCE_DIR}/install_win32/libxslt.dll  DESTINATION ${BINDIR})
  INSTALL(FILES ${CMAKE_SOURCE_DIR}/install_win32/ssleay32.dll DESTINATION ${BINDIR})
  INSTALL(FILES ${CMAKE_SOURCE_DIR}/install_win32/zlib1.dll    DESTINATION ${BINDIR})
endif(WIN32)

=== plugins/__homedir/CMakeLists.txt ===
#####################
# __homedir library #
#####################

#conditional sources
IF(WIN32)
	SET (__homedir_SRCS homedircfg.cpp)
	SET (__homedir_HDRS homedircfg.h)
	SET (__homedir_UICS homedircfgbase.ui)
ENDIF(WIN32)

SET(__homedir_SRCS
        homedir.cpp
	${__homedir_SRCS}
)

SET(__homedir_HDRS
        homedir.h
	${__homedir_HDRS}
)

SIM_ADD_PLUGIN(__homedir)

=== plugins/__migrate/CMakeLists.txt ===
#####################
# __migrate library #
#####################
SET(__migrate_SRCS
        migrate.cpp
        migratedlg.cpp
)

SET(__migrate_HDRS
        migrate.h
        migratedlg.h
)

SET(__migrate_UICS
        migratedlgbase.ui
)

SIM_ADD_PLUGIN(__migrate)

=== plugins/_core/CMakeLists.txt ===
#################
# _core library #
#################
ADD_SUBDIRECTORY(pict)
ADD_SUBDIRECTORY(styles)

SET(_core_SRCS
        arcfg.cpp
        autoreply.cpp
        cfgdlg.cpp
        cmenu.cpp
        commands.cpp
        connectionsettings.cpp
        connectwnd.cpp
        container.cpp
        core.cpp
        declinedlg.cpp
        editmail.cpp
        editphone.cpp
        filecfg.cpp
        filetransfer.cpp
        history.cpp
        historycfg.cpp
        historywnd.cpp
        interfacecfg.cpp
        kpopup.cpp
        logindlg.cpp
        maininfo.cpp
        mainwin.cpp
        manager.cpp
        msgauth.cpp
        msgcfg.cpp
        msgcontacts.cpp
        msgedit.cpp
        msgfile.cpp
        msggen.cpp
        msgrecv.cpp
        msgsms.cpp
        msgurl.cpp
        msgview.cpp
        newprotocol.cpp
        nonim.cpp
        pagerdetails.cpp
        phonedetails.cpp
        plugincfg.cpp
        prefcfg.cpp
        search.cpp
        searchall.cpp
        smscfg.cpp
        status.cpp
        statuswnd.cpp
        tmpl.cpp
        toolbarcfg.cpp
        toolsetup.cpp
        usercfg.cpp
        userhistorycfg.cpp
        userlist.cpp
        userview.cpp
        userviewcfg.cpp
        userwnd.cpp
)

# is this really needed?
IF(NOT WIN32)
SET(_core_SRCS
        ${_core_SRCS}
        libintl.cpp
    )
ENDIF(NOT WIN32)

SET(_core_HDRS
        arcfg.h
        autoreply.h
        cfgdlg.h
        cmenu.h
        commands.h
        connectionsettings.h
        connectwnd.h
        container.h
        core.h
        core.h
        declinedlg.h
        editmail.h
        editphone.h
        filecfg.h
        filetransfer.h
        history.h
        historycfg.h
        historywnd.h
        interfacecfg.h
        kpopup.h
        logindlg.h
        maininfo.h
        mainwin.h
        manager.h
        msgauth.h
        msgcfg.h
        msgcontacts.h
        msgedit.h
        msgfile.h
        msggen.h
        msgrecv.h
        msgsms.h
        msgurl.h
        msgview.h
        newprotocol.h
        nonim.h
        pagerdetails.h
        phonedetails.h
        plugincfg.h
        prefcfg.h
        search.h
        searchall.h
        smscfg.h
        status.h
        statuswnd.h
        tmpl.h
        toolbarcfg.h
        toolsetup.h
        usercfg.h
        userhistorycfg.h
        userlist.h
        userview.h
        userviewcfg.h
        userwnd.h
)

SET(_core_UICS
        arcfgbase.ui
        autoreplybase.ui
        cfgdlgbase.ui
        connectionsettingsbase.ui
        connectwndbase.ui
        declinedlgbase.ui
        editmailbase.ui
        editphonebase.ui
        filecfgbase.ui
        filetransferbase.ui
        fontconfigbase.ui
        historycfgbase.ui
        interfacecfgbase.ui
        logindlgbase.ui
        maininfobase.ui
        managerbase.ui
        msgcfgbase.ui
        newprotocolbase.ui
        nonimbase.ui
        pagerbase.ui
        phonebase.ui
        plugincfgbase.ui
        prefcfgbase.ui
        searchallbase.ui
        searchbase.ui
        smscfgbase.ui
        toolsetupbase.ui
        userhistorycfgbase.ui
        userviewcfgbase.ui
)

# so we don't need an extra CMakeLists.txt in every subdirectory
ADD_JISP_ARCHIVE(additional additional.jisp _core_SRCS)
ADD_JISP_ARCHIVE(icq5       icq5.jisp       _core_SRCS)
ADD_JISP_ARCHIVE(icq5.1     icq5.1.jisp     _core_SRCS)
ADD_JISP_ARCHIVE(icqlite    icqlite.jisp    _core_SRCS)
ADD_JISP_ARCHIVE(jisp       sim.jisp        _core_SRCS)
ADD_JISP_ARCHIVE(smiles     smiles.jisp     _core_SRCS)
ADD_JISP_ARCHIVE(GPL-Icons  GPL-Icons.jisp  _core_SRCS)

SIM_ADD_PLUGIN(_core)

=== plugins/about/CMakeLists.txt ===
#################
# about library #
#################

SET(about_SRCS
        about.cpp
        aboutdlg.cpp
)

SET(about_HDRS
        about.h
        aboutdlg.h
)

SET(about_UICS
        aboutdlgbase.ui
)

SIM_ADD_PLUGIN(about)

=== plugins/action/CMakeLists.txt ===
##################
# action library #
##################
SET(action_SRCS
        action.cpp
        actioncfg.cpp
        additem.cpp
        menucfg.cpp
)

SET(action_HDRS
        action.h
        actioncfg.h
        additem.h
        menucfg.h
)

SET(action_UICS
        actioncfgbase.ui
        additembase.ui
        menucfgbase.ui
)

SIM_ADD_PLUGIN(action)

=== plugins/autoaway/CMakeLists.txt ===
IF(NOT WIN32)
    INCLUDE(CheckFunctionExists)
    INCLUDE(CheckLibraryExists)
    #SET(CMAKE_REQUIRED_LIBRARIES "X11 Xext m")
    CHECK_LIBRARY_EXISTS("Xext" "XScreenSaverRegister" "${X11_LIBRARY_DIR}" XSS_IN_XEXT)
    IF(XSS_IN_XEXT)
        SET(XSS_LIB "Xext")
    ELSE(XSS_IN_XEXT)
        CHECK_LIBRARY_EXISTS("Xss" "XScreenSaverRegister" "${X11_LIBRARY_DIR}" XSS_IN_XSS)
        IF(XSS_IN_XSS)
            SET(XSS_LIB "Xss")
        ENDIF(XSS_IN_XSS)
    ENDIF(XSS_IN_XEXT)
    IF(XSS_LIB)
        CHECK_INCLUDE_FILES("X11/extensions/scrnsaver.h" HAVE_X11_EXTENSIONS_SCRNSAVER)
    ELSE(XSS_LIB)
        CHECK_INCLUDE_FILES("Carbon/Carbon.h" HAVE_CARBON_CARBON_H)
    ENDIF(XSS_LIB)
    IF(HAVE_X11_EXTENSIONS_SCRNSAVER OR HAVE_CARBON_CARBON_H)
        SET(COMPILE_PLUGIN TRUE)
    ENDIF(HAVE_X11_EXTENSIONS_SCRNSAVER OR HAVE_CARBON_CARBON_H)
ELSE(NOT WIN32)
    SET(COMPILE_PLUGIN TRUE)
ENDIF(NOT WIN32)

IF(COMPILE_PLUGIN)
    ####################
    # autoaway library #
    ####################
    SET(autoaway_SRCS
            autoaway.cpp
            autoawaycfg.cpp
    )

    SET(autoaway_HDRS
            autoaway.h
            autoawaycfg.h
    )

    SET(autoaway_UICS
            autoawaycfgbase.ui
    )

    IF(WIN32)
        SET(autoaway_SRCS
            ${autoaway_SRCS}
            idleui.cpp
        )
        SET(autoaway_HDRS
            ${autoaway_HDRS}
            idleui.h
        )
    ENDIF(WIN32)

    LINK_DIRECTORIES(${X11_LIBRARY_DIR})
    SIM_ADD_PLUGIN(autoaway)
    TARGET_LINK_LIBRARIES(autoaway ${XSS_LIB})
ELSE(COMPILE_PLUGIN)
    MESSAGE(STATUS "XScreenSaver library not found, autoaway plugin disabled")
ENDIF(COMPILE_PLUGIN)

=== plugins/background/CMakeLists.txt ===
######################
# background library #
######################
SET(background_SRCS
        background.cpp
        bkgndcfg.cpp
)

SET(background_HDRS
        background.h
        bkgndcfg.h
)

SET(background_UICS
        bkgndcfgbase.ui
)

SIM_ADD_PLUGIN(background)

=== plugins/dock/CMakeLists.txt ===
################
# dock library #
################
SET(dock_SRCS
        dock.cpp
        dockcfg.cpp
        dockwnd.cpp
)

SET(dock_HDRS
        dock.h
        dockcfg.h
        dockwnd.h
)

SET(dock_UICS
        dockcfgbase.ui
)

SIM_ADD_PLUGIN(dock)

=== plugins/filter/CMakeLists.txt ===
##################
# filter library #
##################
SET(filter_SRCS
        filter.cpp
        filtercfg.cpp
        ignorelist.cpp
)

SET(filter_HDRS
        filter.h
        filtercfg.h
        ignorelist.h
)

SET(filter_UICS
        filtercfgbase.ui
        ignorelistbase.ui
)

SIM_ADD_PLUGIN(filter)

=== plugins/floaty/CMakeLists.txt ===
##################
# floaty library #
##################
SET(floaty_SRCS
        floaty.cpp
        floatywnd.cpp
)

SET(floaty_HDRS
        floaty.h
        floatywnd.h
)

SIM_ADD_PLUGIN(floaty)

## sim 0.9.5~svn20080806

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,9 @@
 INCLUDE(FindQt3)
 INCLUDE(MacroEnsureOutOfSourceBuild)
 
+IF(NOT WIN32)
 MACRO_ENSURE_OUT_OF_SOURCE_BUILD("SIM-IM requires an out of source build. Please create a separate build directory and run 'cmake path_to_sim_im [options]' there.")
+ENDIF(NOT WIN32)
 
 INCLUDE(Flex)
 INCLUDE(Jisp)
@@ -37,35 +39,36 @@
 FIND_PACKAGE(LibXml2 REQUIRED)
 FIND_PACKAGE(LibXslt REQUIRED)
 FIND_PACKAGE(ZLIB REQUIRED)
+FIND_PACKAGE(OpenSSL REQUIRED)
 IF(WIN32)
     FIND_PACKAGE(LibIconv REQUIRED)
 ENDIF(WIN32)
 
 # optional packages
 FIND_PACKAGE(ASPELL)
-FIND_PACKAGE(OpenSSL)
+
 INCLUDE(FindX11)
 
 IF(NOT WIN32)
     INCLUDE(FindKDE3)
     IF(KDE3_FOUND)
-        OPTION(USE_KDE3 "Use kde3 integration" YES)
-        IF(USE_KDE3)
+        OPTION(ENABLE_KDE3 "Use kde3 integration" YES)
+        IF(ENABLE_KDE3)
             INCLUDE_DIRECTORIES(${KDE3_INCLUDE_DIRS})
             LINK_DIRECTORIES(${KDE3_LIB_DIR})
-        ENDIF(USE_KDE3)
+        ENDIF(ENABLE_KDE3)
     ENDIF(KDE3_FOUND)
 ENDIF(NOT WIN32)
 
 # do config checks
 INCLUDE(ConfigureChecks.cmake)
 
-MACRO_BOOL_TO_01(OPENSSL_FOUND USE_OPENSSL)
+MACRO_BOOL_TO_01(OPENSSL_FOUND ENABLE_OPENSSL)
 MACRO_BOOL_TO_01(X11_FOUND HAVE_X)
-MACRO_BOOL_TO_01(USE_KDE3 USE_KDE)
+MACRO_BOOL_TO_01(ENABLE_KDE3 USE_KDE)
 
 # development or release builds
-OPTION(DEV_BUILD "Build development version" NO)
+OPTION(DEV_BUILD "Build development version" YES)
 MACRO_BOOL_TO_01(DEV_BUILD CVS_BUILD)
 
 # global settings for every project

=== sim/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
         country.cpp
         datepicker.cpp
         editfile.cpp
+        event.cpp
         exec.cpp
         fetch.cpp
         fontedit.cpp
@@ -26,13 +27,13 @@
         listview.cpp
         log.cpp
         message.cpp
+        misc.cpp
         plugins.cpp
         preview.cpp
         qchildwidget.cpp
         qcolorbutton.cpp
         qkeybutton.cpp
         sax.cpp
-        simapi.cpp
         socket.cpp
         sockfactory.cpp
         sslclient.cpp
@@ -41,8 +42,9 @@
         translit.cpp
         unquot.cpp
         xsl.cpp
-        qzip.cpp
-        unzip.c
+        qzip/ioapi.c
+        qzip/qzip.cpp
+        qzip/unzip.c
     )
 
 SET(sim_LIB_HDRS
@@ -50,8 +52,13 @@
         ballonmsg.h
         buffer.h
         builtinlogger.h
+        cfg.h
+        cmddef.h
+        contacts.h
+        country.h
         datepicker.h
         editfile.h
+        event.h
         exec.h
         fetch.h
         fontedit.h
@@ -59,6 +66,10 @@
         intedit.h
         linklabel.h
         listview.h
+        log.h
+        message.h
+        misc.h
+        plugins.h
         preview.h
         qchildwidget.h
         qcolorbutton.h
@@ -70,9 +81,11 @@
         textshow.h
         toolbtn.h
         translit.h
+        unquot.h
         xsl.h
-        qzip.h
-    	unzip.h
+        qzip/ioapi.h
+        qzip/qzip.h
+        qzip/unzip.h
     )
 
 # moc the sources
@@ -104,11 +117,11 @@
   TARGET_LINK_LIBRARIES(simlib ${OPENSSL_LIBRARIES} ${OPENSSL_EAY_LIBRARIES})
 endif(OPENSSL_FOUND)
 
-IF(USE_KDE3)
+IF(ENABLE_KDE3)
   ADD_DEFINITIONS(${KDE3_DEFINITIONS})
   LINK_DIRECTORIES(${KDE3_LIB_DIR})
   TARGET_LINK_LIBRARIES(simlib ${QT_AND_KDECORE_LIBS} kdeui kio)
-ENDIF(USE_KDE3)
+ENDIF(ENABLE_KDE3)
 
 # we need wsock32 on win32
 if (WIN32)

=== plugins/_core/CMakeLists.txt ===
--- 
+++ 
@@ -79,6 +79,7 @@
         container.h
         core.h
         core.h
+        core_events.h
         declinedlg.h
         editmail.h
         editphone.h
@@ -158,12 +159,28 @@
 )
 
 # so we don't need an extra CMakeLists.txt in every subdirectory
-ADD_JISP_ARCHIVE(additional additional.jisp _core_SRCS)
-ADD_JISP_ARCHIVE(icq5       icq5.jisp       _core_SRCS)
-ADD_JISP_ARCHIVE(icq5.1     icq5.1.jisp     _core_SRCS)
-ADD_JISP_ARCHIVE(icqlite    icqlite.jisp    _core_SRCS)
 ADD_JISP_ARCHIVE(jisp       sim.jisp        _core_SRCS)
-ADD_JISP_ARCHIVE(smiles     smiles.jisp     _core_SRCS)
-ADD_JISP_ARCHIVE(GPL-Icons  GPL-Icons.jisp  _core_SRCS)
+
+IF (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/jisp/icondef.xml)
+    message( "Using non-GPL icons" )
+    ADD_JISP_ARCHIVE(GPL-Icons  GPL-Icons.jisp  _core_SRCS)
+ELSE (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/jisp/icondef.xml)
+    message( "Using GPL icons" )
+    # substitute with gpl icons
+    ADD_JISP_ARCHIVE(GPL-Icons  sim.jisp        _core_SRCS)
+ENDIF (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/jisp/icondef.xml)
+
+#ADD_JISP_ARCHIVE(smiles     smiles.jisp     _core_SRCS)
+#ADD_JISP_ARCHIVE(additional additional.jisp _core_SRCS)
+#ADD_JISP_ARCHIVE(icq5       icq5.jisp       _core_SRCS)
+#ADD_JISP_ARCHIVE(icq5.1     icq5.1.jisp     _core_SRCS)
+#ADD_JISP_ARCHIVE(icqlite    icqlite.jisp    _core_SRCS)
+#ADD_JISP_ARCHIVE(qip-icons  qip-icons.jisp  _core_SRCS)
+#ADD_JISP_ARCHIVE(lovenmoney lovenmoney.jisp _core_SRCS)
+#ADD_JISP_ARCHIVE(yahoo      yahoo.jisp      _core_SRCS)
+#ADD_JISP_ARCHIVE(msn	    msn.jisp        _core_SRCS)
+
+FILE(GLOB _prebuilt emoticons_prebuilt/*.jisp)
+INSTALL(FILES ${_prebuilt} DESTINATION ${SIM_ICONS_DIR})
 
 SIM_ADD_PLUGIN(_core)

=== plugins/autoaway/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 IF(NOT WIN32)
     INCLUDE(CheckFunctionExists)
+    INCLUDE(FindX11)
     INCLUDE(CheckLibraryExists)
     #SET(CMAKE_REQUIRED_LIBRARIES "X11 Xext m")
     CHECK_LIBRARY_EXISTS("Xext" "XScreenSaverRegister" "${X11_LIBRARY_DIR}" XSS_IN_XEXT)
@@ -18,6 +19,10 @@
     ENDIF(XSS_LIB)
     IF(HAVE_X11_EXTENSIONS_SCRNSAVER OR HAVE_CARBON_CARBON_H)
         SET(COMPILE_PLUGIN TRUE)
+    ELSE(HAVE_X11_EXTENSIONS_SCRNSAVER OR HAVE_CARBON_CARBON_H)
+        IF( X11_Xscreensaver_FOUND )
+            SET(COMPILE_PLUGIN TRUE)
+        ENDIF( X11_Xscreensaver_FOUND )
     ENDIF(HAVE_X11_EXTENSIONS_SCRNSAVER OR HAVE_CARBON_CARBON_H)
 ELSE(NOT WIN32)
     SET(COMPILE_PLUGIN TRUE)
@@ -53,6 +58,7 @@
     ENDIF(WIN32)
 
     LINK_DIRECTORIES(${X11_LIBRARY_DIR})
+    INCLUDE_DIRECTORIES(${X11_INCLUDE_DIR})
     SIM_ADD_PLUGIN(autoaway)
     TARGET_LINK_LIBRARIES(autoaway ${XSS_LIB})
 ELSE(COMPILE_PLUGIN)

=== plugins/icq/CMakeLists.txt ===
###############
# icq library #
###############
SET(icq_SRCS
        aboutinfo.cpp
        advsearch.cpp
        aimconfig.cpp
        aiminfo.cpp
        aimsearch.cpp
        aimservices.cpp
        encodingdlg.cpp
        homeinfo.cpp
        icq.cpp
        icqbos.cpp
        icqbuddy.cpp
        icqbuffer.cpp
        icqclient.cpp
        icqconfig.cpp
        icqdirect.cpp
        icqicmb.cpp
        icqinfo.cpp
        icqlists.cpp
        icqlocation.cpp
        icqlogin.cpp
        icqmessage.cpp
        icqpicture.cpp
        icqping.cpp
        icqsearch.cpp
        icqsecure.cpp
        icqservice.cpp
        icqssbi.cpp
        icqvarious.cpp
        interestsinfo.cpp
        moreinfo.cpp
        pastinfo.cpp
        polling.cpp
        rtfgen.cpp
        securedlg.cpp
        verifydlg.cpp
        warndlg.cpp
        workinfo.cpp
        xml.cpp
)

SET(icq_HDRS
        aboutinfo.h
        advsearch.h
        aimconfig.h
        aiminfo.h
        aimsearch.h
        encodingdlg.h
        homeinfo.h
        icq.h
        icqbuffer.h
        icqclient.h
        icqconfig.h
        icqinfo.h
        icqmessage.h
        icqpicture.h
        icqsearch.h
        icqsecure.h
        icqssbi.h
        interestsinfo.h
        moreinfo.h
        pastinfo.h
        polling.h
        securedlg.h
        verifydlg.h
        warndlg.h
        workinfo.h
        xml.h
)

SET(icq_UICS
        aboutinfobase.ui
        advsearchbase.ui
        aimconfigbase.ui
        aiminfobase.ui
        aimsearchbase.ui
        encodingdlgbase.ui
        homeinfobase.ui
        icqconfigbase.ui
        icqinfobase.ui
        icqpicturebase.ui
        icqsearchbase.ui
        icqsecurebase.ui
        interestsinfobase.ui
        moreinfobase.ui
        pastinfobase.ui
        securedlgbase.ui
        verifydlgbase.ui
        warndlgbase.ui
        workinfobase.ui
)

ADD_FLEX_FILES(icq_SRCS rtf.ll)

SIM_ADD_PLUGIN(icq)

# install some sounds
INSTALL(FILES sounds/mailpager.wav DESTINATION ${SIM_SOUND_DIR})
INSTALL(FILES sounds/web.wav DESTINATION ${SIM_SOUND_DIR})

=== plugins/jabber/CMakeLists.txt ===
##################
# jabber library #
##################
SET(jabber_SRCS
        discoinfo.cpp
        httppoll.cpp
        infoproxy.cpp
        jabber.cpp
        jabber_auth.cpp
        jabber_rosters.cpp
        jabber_ssl.cpp
        jabberaboutinfo.cpp
        jabberadd.cpp
        jabberbrowser.cpp
        jabberbuffer.cpp
        jabberclient.cpp
        jabberconfig.cpp
        jabberfiletransfer.cpp
        jabberhomeinfo.cpp
        jabberinfo.cpp
        jabbermessage.cpp
        jabberpicture.cpp
        jabbersearch.cpp
        jabberworkinfo.cpp
        jidadvsearch.cpp
        jidsearch.cpp
)

SET(jabber_HDRS
        discoinfo.h
        infoproxy.h
        jabber.h
        jabber_events.h
        jabber_ssl.h
        jabberaboutinfo.h
        jabberadd.h
        jabberbrowser.h
        jabberbuffer.h
        jabberclient.h
        jabberconfig.h
        jabberhomeinfo.h
        jabberinfo.h
        jabbermessage.h
        jabberpicture.h
        jabbersearch.h
        jabberworkinfo.h
        jidadvsearch.h
        jidsearch.h
)

SET(jabber_UICS
        discoinfobase.ui
        infoproxybase.ui
        jabberaboutinfobase.ui
        jabberaddbase.ui
        jabberconfigbase.ui
        jabberhomeinfobase.ui
        jabberinfobase.ui
        jabberpicturebase.ui
        jabberworkinfobase.ui
        jidadvsearchbase.ui
        jidsearchbase.ui
)

SIM_ADD_PLUGIN(jabber)

# install some sounds
INSTALL(FILES sounds/error.wav DESTINATION ${SIM_SOUND_DIR})

=== plugins/msn/CMakeLists.txt ===
###############
# msn library #
###############
SET(msn_SRCS
        msn.cpp
        msnclient.cpp
        msnconfig.cpp
        msnfiletransfer.cpp
        msnhttp.cpp
        msninfo.cpp
        msnpacket.cpp
        msnsearch.cpp
)

SET(msn_HDRS
        msn.h
        msnclient.h
        msnconfig.h
        msnhttp.h
        msninfo.h
        msnpacket.h
        msnsearch.h
)

SET(msn_UICS
        msnconfigbase.ui
        msninfobase.ui
        msnsearchbase.ui
)

SIM_ADD_PLUGIN(msn)

=== plugins/sound/CMakeLists.txt ===
#################
# sound library #
#################
SET(sound_SRCS
        sound.cpp
        soundconfig.cpp
        sounduser.cpp
)

SET(sound_HDRS
        sound.h
        soundconfig.h
        sounduser.h
)

SET(sound_UICS
        soundconfigbase.ui
        sounduserbase.ui
)

SIM_ADD_PLUGIN(sound)

# install some sounds
INSTALL(FILES sounds/alert.wav      DESTINATION ${SIM_SOUND_DIR} OPTIONAL)
INSTALL(FILES sounds/auth.wav       DESTINATION ${SIM_SOUND_DIR} OPTIONAL)
INSTALL(FILES sounds/contacts.wav   DESTINATION ${SIM_SOUND_DIR} OPTIONAL)
INSTALL(FILES sounds/file.wav       DESTINATION ${SIM_SOUND_DIR} OPTIONAL)
INSTALL(FILES sounds/filedone.wav   DESTINATION ${SIM_SOUND_DIR} OPTIONAL)
INSTALL(FILES sounds/message.wav    DESTINATION ${SIM_SOUND_DIR} OPTIONAL)
INSTALL(FILES sounds/message2.wav   DESTINATION ${SIM_SOUND_DIR} OPTIONAL)
INSTALL(FILES sounds/msgsent.wav    DESTINATION ${SIM_SOUND_DIR} OPTIONAL)
INSTALL(FILES sounds/sms.wav        DESTINATION ${SIM_SOUND_DIR} OPTIONAL)
INSTALL(FILES sounds/startup.wav    DESTINATION ${SIM_SOUND_DIR} OPTIONAL)
INSTALL(FILES sounds/system.wav     DESTINATION ${SIM_SOUND_DIR} OPTIONAL)
INSTALL(FILES sounds/url.wav        DESTINATION ${SIM_SOUND_DIR} OPTIONAL)
INSTALL(FILES sounds/vip-online.wav DESTINATION ${SIM_SOUND_DIR} OPTIONAL)

# install new sounds with known licence
INSTALL(FILES sounds/added.ogg		DESTINATION ${SIM_SOUND_DIR})
INSTALL(FILES sounds/alert.ogg		DESTINATION ${SIM_SOUND_DIR})
INSTALL(FILES sounds/auth.ogg		DESTINATION ${SIM_SOUND_DIR})
INSTALL(FILES sounds/authrequest.ogg	DESTINATION ${SIM_SOUND_DIR})
INSTALL(FILES sounds/contacts.ogg	DESTINATION ${SIM_SOUND_DIR})
INSTALL(FILES sounds/contactrequest.ogg	DESTINATION ${SIM_SOUND_DIR})
INSTALL(FILES sounds/deleted.ogg	DESTINATION ${SIM_SOUND_DIR})
INSTALL(FILES sounds/error.ogg		DESTINATION ${SIM_SOUND_DIR})
INSTALL(FILES sounds/file.ogg		DESTINATION ${SIM_SOUND_DIR})
INSTALL(FILES sounds/filedone.ogg	DESTINATION ${SIM_SOUND_DIR})
INSTALL(FILES sounds/mailpager.ogg	DESTINATION ${SIM_SOUND_DIR})
INSTALL(FILES sounds/message.ogg	DESTINATION ${SIM_SOUND_DIR})
INSTALL(FILES sounds/msgsent.ogg	DESTINATION ${SIM_SOUND_DIR})
INSTALL(FILES sounds/refused.ogg	DESTINATION ${SIM_SOUND_DIR})
INSTALL(FILES sounds/sms.ogg		DESTINATION ${SIM_SOUND_DIR})
INSTALL(FILES sounds/startup.ogg	DESTINATION ${SIM_SOUND_DIR})
INSTALL(FILES sounds/url.ogg		DESTINATION ${SIM_SOUND_DIR})
INSTALL(FILES sounds/vip-online.ogg	DESTINATION ${SIM_SOUND_DIR})
INSTALL(FILES sounds/web.ogg		DESTINATION ${SIM_SOUND_DIR})

=== plugins/spell/CMakeLists.txt ===
IF(ASPELL_FOUND AND NOT ENABLE_KDE3)

    #################
    # spell library #
    #################
    SET(spell_SRCS
            spell.cpp
            spellcfg.cpp
            speller.cpp
            spellhighlight.cpp
    )

    SET(spell_HDRS
            spell.h
            spellcfg.h
            speller.h
            spellhighlight.h
    )

    IF(WIN32)
      SET(spell_SRCS
              ${spell_SRCS}
              spellfind.cpp
      )
      SET(spell_HDRS
              ${spell_HDRS}
              spellfind.h
      )
    ENDIF(WIN32)

    SET(spell_UICS
            spellcfgbase.ui
            spellfindbase.ui
    )
    
    SET(spell_LIBS
            ${ASPELL_LIBRARIES}
    )

    # some needed include dirs
    INCLUDE_DIRECTORIES(${ASPELL_INCLUDE_DIR})

    SIM_ADD_PLUGIN(spell)

ELSE(ASPELL_FOUND AND NOT ENABLE_KDE3)
  IF(ENABLE_KDE3)
    MESSAGE(STATUS "Spell plugin is disabled when building with KDE")
  ELSE(ENABLE_KDE3)
    MESSAGE(STATUS "Cannot build spell plugin because aspell is missing on your system")
  ENDIF(ENABLE_KDE3)
ENDIF(ASPELL_FOUND AND NOT ENABLE_KDE3)

=== plugins/styles/CMakeLists.txt ===
##################
# styles library #
##################
ADD_SUBDIRECTORY(metal)
ADD_SUBDIRECTORY(wood)

SET(styles_SRCS
        fontconfig.cpp
        styles.cpp
        stylescfg.cpp
)

SET(styles_HDRS
        fontconfig.h
        styles.h
        stylescfg.h
)

SET(styles_UICS
        fontconfigbase.ui
        stylescfgbase.ui
)

SIM_ADD_PLUGIN(styles)

=== plugins/transparent/CMakeLists.txt ===
#######################
# transparent library #
#######################
IF(WIN32 OR ENABLE_KDE3)
	SET(transparent_SRCS
        	transparent.cpp
	        transparentcfg.cpp
	)

	SET(transparent_HDRS
        	transparent.h
	        transparentcfg.h
	)

	SET(transparent_UICS
        	transparentcfgbase.ui
	)

	IF(NOT WIN32)
	    SET(transparent_SRCS ${transparent_SRCS}
        	transtop.cpp)
	ENDIF(NOT WIN32)

    SIM_ADD_PLUGIN(transparent)
ELSE(WIN32 OR ENABLE_KDE3)
	MESSAGE(STATUS "This plugin can only be used on windows or KDE")
ENDIF(WIN32 OR ENABLE_KDE3)

=== plugins/update/CMakeLists.txt ===
##################
# update library #
##################
IF(FALSE)

SET(update_SRCS
        update.cpp
)

SET(update_HDRS
        update.h
)

SIM_ADD_PLUGIN(update)

ENDIF(FALSE)

=== debian/changelog ===
sim (0.9.5~svn20080806-2build2) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@0c3.net>  Fri, 02 Dec 2011 21:21:29 -0700

sim (0.9.5~svn20080806-2build1) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 May 2011 12:03:41 +0100

sim (0.9.5~svn20080806-2) unstable; urgency=low

  * QA upload, set Maintainer to Debian QA Group <packages@qa.debian.org>.
  * Drop "sim" package using kdelibs from KDE 3: (Closes: #604324)
    - remove description in debian/control and update the other descriptions.
    - remove build-depend on kdelibs4-dev.
    - update debian/rules to remove building of "sim" package.
  * Update descriptions from Qt to Qt3.
  * Add source/format to 3.0 (quilt), just for the sake of easy patching.
  * Add patch add_x11 to fix FTBFS.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 12 Mar 2011 19:07:07 +0100

sim (0.9.5~svn20080806-1) unstable; urgency=low

  * New upstream version fixes icq compliation (Closes: #493966)
  * Really replaced sounds and icons with unclear licensing
    with GPL ones. (Closes: #386570)

 -- Alexander Petrov <zowers@gmail.com>  Wed, 06 Aug 2008 17:05:13 +0400

sim (0.9.5~svn20080716-1) unstable; urgency=low

  * New upstream version 0.9.4.5 SVN (Closes: #420095)
  * Replaced sounds and icons with unclear licensing with GPL ones.
    (Closes: #386570)
  * New rules allow double compilation (Closes: #489898)
  * Fixed bashism in debian/rules (Closes: #484436)
  * Updated libpng version in debian/control (Closes: #420094)
  * Added "-- -Z bzip2" to dh_builddeb so that we use bzip2 compression
    for the binary packages instead of gzip.
  * Updated rules and control to use cmake.

 -- Alexander Petrov <zowers@gmail.com>  Tue, 29 Jul 2008 16:17:35 +0400

sim (0.9.4.2-1) unstable; urgency=high

  * New upstream 0.9.4.2 - bugfix release.
  * ICQ plugin fixes (Closes: 407589)

 -- Alexander Petrov <zowers@gmail.com>  Mon, 22 Jan 2007 03:59:09 +0300

sim (0.9.4.1~2-1) unstable; urgency=high

  * SVN version rev. 1158 of bugfix release 0.9.4.1.
  * Upstream doesn't fail to configure flex (Closes: #386392)

 -- Alexander Petrov <zowers@gmail.com>  Wed, 20 Sep 2006 02:30:06 +0400

sim (0.9.4.0+1-1) unstable; urgency=high

  * SVN version rev. 1080 of bugfix release 0.9.4.1.
  * Fully rewritten debian/rules.
  * New binary packages:
    - sim-qt - Qt3 variant (Closes: 237142);
    - sim-data - arch-independent data files.
  * Fixes FTBFS using autoconf 2.60 (Closes: #379636).

 -- Alexander Petrov <zowers@gmail.com>  Thu, 27 Jul 2006 02:56:46 +0400

sim (0.9.4-1) unstable; urgency=low

  * New upstream 0.9.4 - bugfix release (Closes: #376178).
  * Updated Standards-Version to 3.7.2.
  * Reintroduced build-depends versions.

 -- Alexander Petrov <zowers@gmail.com>  Fri, 30 Jun 2006 04:38:02 +0400

sim (0.9.3.99+0.9.4rc2-1) unstable; urgency=low

  * New upstream 0.9.4rc2.
  * Added screensaver dependency for autoaway plugin (libxss-dev)
    (Closes: #365650)
  * Updated Standards-Version to 3.7.0.
  * Updated man page.
  * Added gnupg to Suggests and Description.

 -- Alexander Petrov <zowers@gmail.com>  Thu,  5 May 2006 02:46:12 +0400

sim (0.9.3.99svn20060428-2) unstable; urgency=low

  * Really change maintainer.
  * Reformat changelog to fit in 80 columns.

 -- Alexander Petrov <zowers@gmail.com>  Sat, 29 Apr 2006 10:48:56 +0400

sim (0.9.3.99svn20060428-1) unstable; urgency=low

  * New upstream svn snapshot branches/0.9.4#443 (Closes: #343253) which
    includes:
   - A lot of fixes.
   - Fixed: new message icon in dock is blinking even after reading
     (Closes: #242233)
   - Fixed deing while sending long message (Closes: #259195)
   - Fixed conflict with installed kopete (Closes: #271685)
   - Fixed: icons for ICQ are not set (Closes: #299664)
   - More informative Description field to mention KDE/Qt (Closes: #312047)
   - sim now correctly sends html formatted messages to ICQ (Closes: #328367)
  * New homepage: http://sim-im.org/
  * New maintainer.

 -- Alexander Petrov <zowers@gmail.com>  Fri, 28 Apr 2006 03:09:43 +0400

sim (0.9.3-1.1) unstable; urgency=low

  * Non-maintainer upload
  * recompile for KDE and C++ transition
  * Add versioned Build-Depends to prevent building on
    non-transitioned buildds. Thanks, mrvn_, for helping.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 30 Sep 2005 13:27:53 +0000

sim (0.9.3-1) unstable; urgency=low

  * New upstream release (Closes: #237407 #232035 #215316 #229659)

 -- Murat Demirten <murat@debian.org>  Wed,  31 Mar 2004 00:05:33 +0000

sim (0.9.2+cvs20040307-1) unstable; urgency=low

  * CVS daily snapshot of future 0.9.3 version.

 -- Murat Demirten <murat@debian.org>  Mon,  07 Mar 2004 20:56:46 +0000

sim (0.8.3-2) unstable; urgency=low

  * Fixed unsatisfied Build Dependency Problem.

 -- Murat Demirten <murat@debian.org>  Thu,  2 Oct 2003 17:00:13 +0000

sim (0.8.3-1) unstable; urgency=low

  * Initial Release. (Closes: #180346)

 -- Murat Demirten <murat@debian.org>  Sun,  3 Aug 2003 16:49:41 +0000

=== debian/control ===
Source: sim
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), flex, cmake (>= 2.4.8), libtool (>= 1.5.20), g++ (>= 4.0), libpng12-dev (>= 1.2.27), libqt3-mt-dev (>= 3:3.3.8), libqt3-headers (>= 3:3.3.8), qt3-dev-tools (>= 3:3.3.8), libssl-dev (>= 0.9.8g), zlib1g-dev (>= 1:1.2.3.3), libexpat1-dev (>= 1.95.8), libxml2-dev (>= 2.6.32), libxslt1-dev (>= 1.1.24), libxft-dev (>= 2.1.12), libxss-dev (>= 1:1.1.3), zip
Standards-Version: 3.8.0
Homepage: http://sim-im.org/

Package: sim-qt
Architecture: any
Depends: ${shlibs:Depends}, sim-data (= ${source:Version})
Conflicts: sim (<= ${source:Version})
Replaces:  sim (<= ${source:Version})
Suggests: gnupg (>= 1.4.6)
Homepage: http://sim-im.org/
Description: simple instant messenger (Qt3)
 SIM-IM is a simple and powerful multi-protocol instant messenger.
 .
 Some of the features:
  * Supported protocols: ICQ, Jabber, MSN, AIM, 
    Yahoo!, LiveJournal;
  * Receiving and sending SMS;
  * Server-side contact list;
  * Receiving and the sending messages in RTF-format;
  * Phone directory support;
  * File transfers;
  * Chat;
  * Support Miranda icon themes;
  * Spam filter;
  * Secure direct connection with SIM and L-ICQ;
  * GPG encryption using gnupg;
  * Message or chat mode for user window;
  * On-Screen display notification about messages and user status;
  * Sending of the messages to several users;
  * Proxy: HTTP/HTTPS, SOCKS4, SOCKS5.
 .
  This package is compiled with Qt3 support.

Package: sim-data
Architecture: all
Conflicts: sim (<< ${source:Version})
Replaces:  sim (<< ${source:Version})
Suggests: sim-qt (= ${source:Version})
Description: Sim-IM Instant Messenger data files
 sim is a simple and powerful multi-protocol instant messenger.
 .
  This package contains data files for sim-qt package.

=== debian/rules ===
#!/usr/bin/make -f
# sim-im debian/rules that uses debhelper.
# Copyright (c) 2006-2008 Alexander 'zowers' Petrov.


CMAKE_INSTALL_PREFIX=/usr
DEV_BUILD=NO
SIM_ENABLE_FPIE=YES
USE_GCC_VISIBILITY=YES
WARN_FLAGS=-w -Wno-conversion -Wno-parentheses
CFLAGS:=$(CFLAGS) $(WARN_FLAGS)
CXXFLAGS:=$(CXXFLAGS) $(WARN_FLAGS)
COMMON_OPTIONS=-DCMAKE_C_FLAGS:STRING="$(CFLAGS)" \
	-DCMAKE_CXX_FLAGS:STRING="$(CXXFLAGS)" \
	-DCMAKE_INSTALL_PREFIX:STRING="$(CMAKE_INSTALL_PREFIX)" \
	-DDEV_BUILD:BOOL="$(DEV_BUILD)" \
	-DSIM_ENABLE_FPIE:BOOL="$(SIM_ENABLE_FPIE)" \
	-DUSE_GCC_VISIBILITY:BOOL="$(USE_GCC_VISIBILITY)"

SIM_QT_OPTIONS	=	$(COMMON_OPTIONS) -DENABLE_KDE3:BOOL=NO

TMP_DIR	=	$(CURDIR)/debian/tmp


clean:
	dh_clean
	rm -f *-stamp
	rm -fr build-sim build-sim-qt


install: 	configure install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	make -C build-sim-qt install DESTDIR=$(TMP_DIR)/sim-qt
	find $(TMP_DIR) -type l -name libsim.so -exec rm -f '{}' +
	touch $@


configure: 	configure-stamp
configure-stamp:
	mkdir build-sim build-sim-qt
	cd build-sim-qt && cmake $(SIM_QT_OPTIONS) .. 
	touch $@

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 	 -psim-qt
	dh_installdocs		-psim-qt
	dh_installman		-psim-qt
	dh_installmenu		-psim-qt
	dh_install		-psim-qt
	dh_lintian		-psim-qt
	dh_link			-psim-qt
	dh_strip		-psim-qt
	dh_installdebconf	-psim-qt
	dh_compress		-psim-qt
	dh_fixperms		-psim-qt
	dh_makeshlibs	-psim-qt
	dh_installdeb	-psim-qt
	dh_shlibdeps	-psim-qt
	dh_gencontrol	-psim-qt
	dh_md5sums		-psim-qt
	dh_builddeb		-psim-qt -- -Z bzip2

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 	-psim-data
	dh_installdocs		-psim-data
	dh_installman		-psim-data
	dh_installmenu		-psim-data
	dh_install		-psim-data
	dh_lintian		-psim-data
	dh_link			-psim-data
	dh_strip		-psim-data
	dh_installdebconf	-psim-data
	dh_compress		-psim-data
	dh_fixperms		-psim-data
	dh_makeshlibs		-psim-data
	dh_installdeb		-psim-data
	dh_shlibdeps		-psim-data
	dh_gencontrol		-psim-data
	dh_md5sums		-psim-data
	dh_builddeb 		-psim-data -- -Z bzip2

binary: binary-arch binary-indep

.PHONY: build \
	clean \
	binary \
	binary-arch \
	binary-indep \
	install \
	configure

=== debian/watch ===
# see usan(1)
version=3
opts=downloadurlmangle=s/prdownload/download/,uversionmangle=s/\-svn/~svn/ \
    http://developer.berlios.de/project/showfiles.php?group_id=4482 \
    http://prdownload.berlios.de/sim-im/sim-(\d+\.\d+\..*)-dfsg.tar.bz2

## sim 2.6-pdp10.rev1

=== Makefile ===
pdp10:
	gcc -O -o pdp10 -DPDP10 -DUSE_INT64 pdp10_*.c dz11.c scp*.c -lm -lnsl -lsocket
pdp11:
	gcc -O -o pdp11 -DPDP11 -DUSE_INT64 pdp11_*.c dz11.c scp*.c -lm -lnsl -lsocket
